=head1 NAME

B<chkkitcomp> - Check if Kit components are compatible with an xCAT osimage.

=head1 SYNOPSIS

B<chkkitcomp> [B<-?>|B<-h>|B<--help>] [B<-v>|B<--version>]

B<chkkitcomp> [B<-V>|B<--verbose>] B<-i> I<osimage>  I<kitcompname_list>

=head1 DESCRIPTION

The B<chkkitcomp> command will check if the kit components are compatible with the xCAT osimage.

This command will ignore the current osimage.kitcomponents setting and check if the kitcompname_list is compatible with the osimage and kit component dependencies.

B<Note:> xCAT Kit support is ONLY available for Linux operating systems.

=head1 OPTIONS

=over 10

=item B<-h|--help>

Display usage message.

=item B<-V|--verbose>

Verbose mode.

=item B<-v|--version>

Command version.

=item B<-i> I<osimage>

The name of the osimage to check against.

=item I<kitcompname_list>

A comma-delimited list of valid full kit component names or kit component basenames that are to be checked against the osimage.

=back

=head1 RETURN VALUE

0  The command completed successfully.

1  An error has occurred.

=head1 EXAMPLES

1. To check if a kit component, I<comp-test1-1.0-1-rhels-6.2-ppc64> can be added to osimage I<rhels6.2-ppc64-netboot-compute>:

   chkkitcomp -i rhels6.2-ppc64-netboot-compute comp-test1-1.0-1-rhels-6.2-ppc64



=head1 SEE ALSO

L<lskit(1)|lskit.1>, L<addkit(1)|addkit.1>, L<rmkit(1)|rmkit.1>, L<addkitcomp(1)|addkitcomp.1>, L<rmkitcomp(1)|rmkitcomp.1>
